## LOC Start request LOC Start request |

## Functions

QmiMessageLocStartInput * | qmi_message_loc_start_input_new ()
QmiMessageLocStartInput * | qmi_message_loc_start_input_ref ()
void | qmi_message_loc_start_input_unref ()
gboolean | qmi_message_loc_start_input_get_minimum_interval_between_position_reports ()
gboolean | qmi_message_loc_start_input_set_minimum_interval_between_position_reports ()
gboolean | qmi_message_loc_start_input_get_intermediate_report_state ()
gboolean | qmi_message_loc_start_input_set_intermediate_report_state ()
gboolean | qmi_message_loc_start_input_get_fix_recurrence_type ()
gboolean | qmi_message_loc_start_input_set_fix_recurrence_type ()
gboolean | qmi_message_loc_start_input_get_session_id ()
gboolean | qmi_message_loc_start_input_set_session_id ()
QmiMessageLocStartOutput * | qmi_message_loc_start_output_ref ()
void | qmi_message_loc_start_output_unref ()
gboolean | qmi_message_loc_start_output_get_result ()
void | qmi_client_loc_start ()
QmiMessageLocStartOutput * | qmi_client_loc_start_finish ()

## Types and Values

| QmiMessageLocStartInput
| QmiMessageLocStartOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocStartInput
        ╰── QmiMessageLocStartOutput

## Description

## Functions

### qmi_message_loc_start_input_new ()

    QmiMessageLocStartInput *
    qmi_message_loc_start_input_new (void);

Allocates a new QmiMessageLocStartInput.

#### Returns

the newly created QmiMessageLocStartInput. The returned value should be freed with `qmi_message_loc_start_input_unref()`.

Since: 1.20

### qmi_message_loc_start_input_ref ()

    QmiMessageLocStartInput *
    qmi_message_loc_start_input_ref (QmiMessageLocStartInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocStartInput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_loc_start_input_unref ()

    void
    qmi_message_loc_start_input_unref (QmiMessageLocStartInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocStartInput. |

Since: 1.20

### qmi_message_loc_start_input_get_minimum_interval_between_position_reports ()

    gboolean
    qmi_message_loc_start_input_get_minimum_interval_between_position_reports
                                   (QmiMessageLocStartInput *self,
                                    guint32 *value_minimum_interval_between_position_reports,
                                    GError **error);

Get the 'Minimum Interval between Position Reports' field from `self` .

#### Parameters

self | a QmiMessageLocStartInput. |
value_minimum_interval_between_position_reports | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_start_input_set_minimum_interval_between_position_reports ()

    gboolean
    qmi_message_loc_start_input_set_minimum_interval_between_position_reports
                                   (QmiMessageLocStartInput *self,
                                    guint32 value_minimum_interval_between_position_reports,
                                    GError **error);

Set the 'Minimum Interval between Position Reports' field in the message.

#### Parameters

self | a QmiMessageLocStartInput. |
value_minimum_interval_between_position_reports | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_start_input_get_intermediate_report_state ()

    gboolean
    qmi_message_loc_start_input_get_intermediate_report_state
                                   (QmiMessageLocStartInput *self,
                                    QmiLocIntermediateReportState *value_intermediate_report_state,
                                    GError **error);

Get the 'Intermediate Report State' field from `self` .

#### Parameters

self | a QmiMessageLocStartInput. |
value_intermediate_report_state | a placeholder for the output QmiLocIntermediateReportState, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.20

### qmi_message_loc_start_input_set_intermediate_report_state ()

    gboolean
    qmi_message_loc_start_input_set_intermediate_report_state
                                   (QmiMessageLocStartInput *self,
                                    QmiLocIntermediateReportState value_intermediate_report_state,
                                    GError **error);

Set the 'Intermediate Report State' field in the message.

#### Parameters

self | a QmiMessageLocStartInput. |
value_intermediate_report_state | a QmiLocIntermediateReportState. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.20

### qmi_message_loc_start_input_get_fix_recurrence_type ()

    gboolean
    qmi_message_loc_start_input_get_fix_recurrence_type
                                   (QmiMessageLocStartInput *self,
                                    QmiLocFixRecurrenceType *value_fix_recurrence_type,
                                    GError **error);

Get the 'Fix Recurrence Type' field from `self` .

#### Parameters

self | a QmiMessageLocStartInput. |
value_fix_recurrence_type | a placeholder for the output QmiLocFixRecurrenceType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.20

### qmi_message_loc_start_input_set_fix_recurrence_type ()

    gboolean
    qmi_message_loc_start_input_set_fix_recurrence_type
                                   (QmiMessageLocStartInput *self,
                                    QmiLocFixRecurrenceType value_fix_recurrence_type,
                                    GError **error);

Set the 'Fix Recurrence Type' field in the message.

#### Parameters

self | a QmiMessageLocStartInput. |
value_fix_recurrence_type | a QmiLocFixRecurrenceType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.20

### qmi_message_loc_start_input_get_session_id ()

    gboolean
    qmi_message_loc_start_input_get_session_id
                                   (QmiMessageLocStartInput *self,
                                    guint8 *value_session_id,
                                    GError **error);

Get the 'Session ID' field from `self` .

#### Parameters

self | a QmiMessageLocStartInput. |
value_session_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.20

### qmi_message_loc_start_input_set_session_id ()

    gboolean
    qmi_message_loc_start_input_set_session_id
                                   (QmiMessageLocStartInput *self,
                                    guint8 value_session_id,
                                    GError **error);

Set the 'Session ID' field in the message.

#### Parameters

self | a QmiMessageLocStartInput. |
value_session_id | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.20

### qmi_message_loc_start_output_ref ()

    QmiMessageLocStartOutput *
    qmi_message_loc_start_output_ref (QmiMessageLocStartOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocStartOutput. |

#### Returns

the new reference to `self` .

Since: 1.20

### qmi_message_loc_start_output_unref ()

    void
    qmi_message_loc_start_output_unref (QmiMessageLocStartOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocStartOutput. |

Since: 1.20

### qmi_message_loc_start_output_get_result ()

    gboolean
    qmi_message_loc_start_output_get_result
                                   (QmiMessageLocStartOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocStartOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.20

### qmi_client_loc_start ()

    void
    qmi_client_loc_start (QmiClientLoc *self,
                          QmiMessageLocStartInput *input,
                          guint timeout,
                          GCancellable *cancellable,
                          GAsyncReadyCallback callback,
                          gpointer user_data);

Asynchronously sends a Start request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_start_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocStartInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.20

### qmi_client_loc_start_finish ()

    QmiMessageLocStartOutput *
    qmi_client_loc_start_finish (QmiClientLoc *self,
                                 GAsyncResult *res,
                                 GError **error);

Finishes an async operation started with `qmi_client_loc_start()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_start()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocStartOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_start_output_unref()`.

Since: 1.20

## Types and Values

### QmiMessageLocStartInput

    typedef struct _QmiMessageLocStartInput QmiMessageLocStartInput;

The QmiMessageLocStartInput structure contains private data and should only be accessed using the provided API.

Since: 1.20

### QmiMessageLocStartOutput

    typedef struct _QmiMessageLocStartOutput QmiMessageLocStartOutput;

The QmiMessageLocStartOutput structure contains private data and should only be accessed using the provided API.

Since: 1.20